import { PermissionsService } from '../permissions/permissions-service';
interface IUser {
    id: string;
    name: string;
    roles: any[];
    created: number;
}
export declare class User implements IUser {
    id: any;
    name: any;
    roles: any[];
    created: any;
    permissions: PermissionsService;
    constructor(name?: string, roles?: string[], id?: string, created?: number);
    addRole(role: string): void;
    removeRole(role: string): void;
    hasRole(role: string): boolean;
}
export {};
